Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/AskQuestion/AskQuestionValidator.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/AskQuestion/AskQuestionValidator.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/AskQuestion/AskQuestionValidator.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,4 +1,4 @@
 ﻿using FinkiChattery.Commands.Questioning.Validators;
-using FinkiChattery.Persistence.UnitOfWork;
+using FinkiChattery.Persistence.Repositories;
 using FluentValidation;
 
@@ -7,9 +7,9 @@
     public class AskQuestionValidator : AbstractValidator<AskQuestionCommand>
     {
-        public AskQuestionValidator(IUnitOfWork unitOfWork)
+        public AskQuestionValidator(ICategoriesRepo categoriesRepo)
         {
             RuleFor(x => x.Title).QuestionTitleValidate();
             RuleFor(x => x.Text).QuestionTextValidate();
-            RuleFor(x => x.Categories).Cascade(CascadeMode.Stop).ListNotNull().SetValidator(new CategoriesUidsExist(unitOfWork));
+            RuleFor(x => x.Categories).Cascade(CascadeMode.Stop).ListNotNull().SetValidator(new CategoriesUidsExist(categoriesRepo));
         }
     }
Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/CategoriesUidsExist.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/CategoriesUidsExist.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/CategoriesUidsExist.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,4 +1,3 @@
 ﻿using FinkiChattery.Persistence.Repositories;
-using FinkiChattery.Persistence.UnitOfWork;
 using FluentValidation.Validators;
 using System;
@@ -11,10 +10,10 @@
     public class CategoriesUidsExist : AsyncValidatorBase
     {
-        public CategoriesUidsExist(IUnitOfWork unitOfWork)
+        public CategoriesUidsExist(ICategoriesRepo categoriesRepo)
         {
-            UnitOfWork = unitOfWork;
+            CategoriesRepo = categoriesRepo;
         }
 
-        public IUnitOfWork UnitOfWork { get; }
+        public ICategoriesRepo CategoriesRepo { get; }
 
         protected override async Task<bool> IsValidAsync(PropertyValidatorContext context, CancellationToken cancellation)
@@ -22,5 +21,5 @@
             var categoriesUids = (IEnumerable<Guid>)context.PropertyValue;
 
-            return await UnitOfWork.Categories.CategoriesExist(categoriesUids);
+            return await CategoriesRepo.CategoriesExist(categoriesUids);
         }
 
Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/TeamWithUidExist.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/TeamWithUidExist.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/TeamWithUidExist.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,3 +1,3 @@
-﻿using FinkiChattery.Persistence.UnitOfWork;
+﻿using FinkiChattery.Persistence.Repositories;
 using FluentValidation.Validators;
 using System;
@@ -9,15 +9,15 @@
     public class TeamWithUidExist : AsyncValidatorBase
     {
-        public TeamWithUidExist(IUnitOfWork unitOfWork)
+        public TeamWithUidExist(ITeamRepo teamRepo)
         {
-            UnitOfWork = unitOfWork;
+            TeamRepo = teamRepo;
         }
 
-        public IUnitOfWork UnitOfWork { get; }
+        public ITeamRepo TeamRepo { get; }
 
         protected override async Task<bool> IsValidAsync(PropertyValidatorContext context, CancellationToken cancellation)
         {
             var teamUid = (Guid)context.PropertyValue;
-            return await UnitOfWork.Teams.TeamWithUidExists(teamUid);
+            return await TeamRepo.TeamWithUidExists(teamUid);        
         }
 
Index: src/FinkiChattery/FinkiChattery.Common/FinkiChattery.Common.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/FinkiChattery.Common.csproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Common/FinkiChattery.Common.csproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -3,5 +3,4 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
Index: src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IMediatorService.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IMediatorService.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IMediatorService.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -11,8 +11,4 @@
         Task<TResponse> SendAsync<TResponse>(ICommand<TResponse> request);
 
-        Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request, CancellationToken cancellationToken);
-
-        Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request);
-
         Task PublishAsync<TNotification>(TNotification notification) where TNotification : IEvent;
 
Index: src/FinkiChattery/FinkiChattery.Common/Mediator/MediatorService.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/Mediator/MediatorService.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Common/Mediator/MediatorService.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -37,14 +37,4 @@
             await mediator.Publish(notification, default);
         }
-
-        public async Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request, CancellationToken cancellationToken)
-        {
-            return await mediator.Send(request, cancellationToken);
-        }
-
-        public async Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request)
-        {
-            return await mediator.Send(request);
-        }
     }
 }
Index: src/FinkiChattery/FinkiChattery.Contracts/FinkiChattery.Contracts.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Contracts/FinkiChattery.Contracts.csproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Contracts/FinkiChattery.Contracts.csproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -3,5 +3,4 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
Index: src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
   <PropertyGroup>
@@ -55,6 +55,6 @@
     <VisualStudioVersion Condition="'$(SSDTExists)' == ''">11.0</VisualStudioVersion>
   </PropertyGroup>
-  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
-  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
   <ItemGroup>
     <Folder Include="Properties" />
@@ -70,15 +70,14 @@
     <Folder Include="dbo\Tables\Student" />
     <Folder Include="FullTextSearch" />
-    <Folder Include="dbo\Tables\Answer" />
-    <Folder Include="dbo\Tables\AnswerResponse" />
-    <Folder Include="dbo\Tables\Question" />
-    <Folder Include="dbo\Tables\QuestionCategory" />
-    <Folder Include="Snapshots" />
   </ItemGroup>
   <ItemGroup>
     <Build Include="dbo\Tables\Moderator.sql" />
     <Build Include="dbo\Tables\Teacher.sql" />
+    <Build Include="dbo\Tables\Question.sql" />
     <Build Include="dbo\Tables\StudentTeam.sql" />
     <Build Include="dbo\Tables\TeacherTeam.sql" />
+    <Build Include="dbo\Tables\Answer.sql" />
+    <Build Include="dbo\Tables\QuestionCategory.sql" />
+    <Build Include="dbo\Tables\AnswerResponse.sql" />
     <Build Include="dbo\Tables\Upvote.sql" />
     <Build Include="dbo\Tables\User\AspNetRoleClaims.sql" />
@@ -92,12 +91,4 @@
     <Build Include="FullTextSearch\FullTextIndexQuestion.sql" />
     <Build Include="FullTextSearch\QuestionFullTextCatalog.sql" />
-    <Build Include="dbo\Tables\Question\Question.sql" />
-    <None Include="dbo\Tables\Question\Question.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\Answer\Answer.sql" />
-    <None Include="dbo\Tables\Answer\Answer.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\AnswerResponse\AnswerResponse.sql" />
-    <None Include="dbo\Tables\AnswerResponse\AnswerResponse.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\QuestionCategory\QuestionCategory.sql" />
-    <None Include="dbo\Tables\QuestionCategory\QuestionCategory.Debug.Seed.sql" />
   </ItemGroup>
   <ItemGroup>
@@ -106,5 +97,4 @@
     <PreDeploy Include="dbo\Scripts\Script.PreDeployment.sql" />
     <None Include="FinkiChattery.Database.publish.xml" />
-    <None Include="Snapshots\FinkiChattery.Database_20210922_17-47-58.dacpac" />
   </ItemGroup>
   <ItemGroup>
@@ -130,6 +120,3 @@
     </SqlCmdVariable>
   </ItemGroup>
-  <ItemGroup>
-    <RefactorLog Include="FinkiChattery.Database.refactorlog" />
-  </ItemGroup>
 </Project>
Index: src/FinkiChattery/FinkiChattery.Database/FullTextSearch/FullTextIndexQuestion.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/FullTextSearch/FullTextIndexQuestion.sql	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Database/FullTextSearch/FullTextIndexQuestion.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,3 +1,3 @@
-﻿CREATE FULLTEXT INDEX ON [dbo].[Question] ([Search])
+﻿CREATE FULLTEXT INDEX ON [dbo].[Question] ([Title], [Text])
 KEY INDEX [PK_Question] ON [QuestionFullTextCatalog]
 WITH (CHANGE_TRACKING AUTO, STOPLIST OFF)
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Debug.PostDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Debug.PostDeployment.sql	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Debug.PostDeployment.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,7 +1,3 @@
-﻿:r ./../../Tables/User/Seed/Users.Debug.Seed.sql
-:r ./../../Tables/Category/Category.Seed.sql
-:r ./../../Tables/Student/Student.Debug.Seed.sql
-:r ./../../Tables/Question/Question.Debug.Seed.sql
-:r ./../../Tables/Answer/Answer.Debug.Seed.sql
-:r ./../../Tables/AnswerResponse/AnswerResponse.Debug.Seed.sql
-:r ./../../Tables/QuestionCategory/QuestionCategory.Debug.Seed.sql
+﻿:r .\..\..\Tables\User\Seed\Users.Debug.Seed.sql
+:r .\..\..\Tables\Category\Category.Seed.sql
+:r .\..\..\Tables\Student\Student.Debug.Seed.sql
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Production.PostDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Production.PostDeployment.sql	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Production.PostDeployment.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,1 +1,1 @@
-﻿:r ./../../Tables/Category/Category.Seed.sql
+﻿:r .\..\..\Tables\Category\Category.Seed.sql
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PostDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PostDeployment.sql	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PostDeployment.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -4,5 +4,5 @@
 		PRINT 'Deploying DEBUG scripts';
 	END
-	:r ./PostDeploymentScripts/Debug.PostDeployment.sql
+	:r .\PostDeploymentScripts\Debug.PostDeployment.sql
 	BEGIN --Run scripts 
 		PRINT 'End deploying DEBUG scripts';
@@ -15,5 +15,5 @@
 		PRINT 'Deploying PRODUCTION scripts' 
 	END
-		:r ./PostDeploymentScripts/Production.PostDeployment.sql
+		:r .\PostDeploymentScripts\Production.PostDeployment.sql
 		BEGIN --Run scripts 
 		PRINT 'End deploying PRODUCTION scripts' 
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PreDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PreDeployment.sql	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PreDeployment.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -4,5 +4,5 @@
 		PRINT 'Deploying DEBUG pre deployment scripts';
 	END
-	:r ./PreDeploymentScripts/Debug.PreDeployment.sql
+	:r .\PreDeploymentScripts\Debug.PreDeployment.sql
 	BEGIN --Run scripts 
 		PRINT 'End deploying DEBUG pre deployment scripts';
@@ -15,5 +15,5 @@
 		PRINT 'Deploying PRODUCTION pre deployment scripts' 
 	END
-	:r ./PreDeploymentScripts/Production.PreDeployment.sql
+	:r .\PreDeploymentScripts\Production.PreDeployment.sql
 	BEGIN --Run scripts 
 		PRINT 'End deploying PRODUCTION pre deployment scripts' 
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -0,0 +1,23 @@
+﻿CREATE TABLE [dbo].[Answer] (
+    [Id]            BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]           UNIQUEIDENTIFIER NOT NULL,
+    [Text]          NVARCHAR (4000)  NOT NULL,
+    [QuestionFk]    BIGINT           NOT NULL,
+    [StudentFk]     BIGINT           NOT NULL,
+    [CorrectAnswer] BIT              NOT NULL,
+    [CreatedOn]     SMALLDATETIME    NOT NULL,
+    CONSTRAINT [PK_Answer] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Answer_Question_QuestionFk] FOREIGN KEY ([QuestionFk]) REFERENCES [dbo].[Question] ([Id]),
+    CONSTRAINT [FK_Answer_Student_StudentFk] FOREIGN KEY ([StudentFk]) REFERENCES [dbo].[Student] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Answer_QuestionFk]
+    ON [dbo].[Answer]([QuestionFk] ASC);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Answer_StudentFk]
+    ON [dbo].[Answer]([StudentFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/AnswerResponse.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/AnswerResponse.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/AnswerResponse.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -0,0 +1,17 @@
+﻿CREATE TABLE [dbo].[AnswerResponse] (
+    [Id]        BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]       UNIQUEIDENTIFIER NOT NULL,
+    [Text]      NVARCHAR (4000)  NOT NULL,
+    [AnswerFk]  BIGINT           NOT NULL,
+    [StudentFk] BIGINT           NOT NULL,
+    [CreatedOn] SMALLDATETIME    NOT NULL,
+    CONSTRAINT [PK_AnswerResponse] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_AnswerResponse_Answer_AnswerFk] FOREIGN KEY ([AnswerFk]) REFERENCES [dbo].[Answer] ([Id]),
+    CONSTRAINT [FK_AnswerResponse_Student_AnswerFk] FOREIGN KEY ([AnswerFk]) REFERENCES [dbo].[Student] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_AnswerResponse_AnswerFk]
+    ON [dbo].[AnswerResponse]([AnswerFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Category/Category.Seed.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Category/Category.Seed.sql	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Category/Category.Seed.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -10,11 +10,5 @@
 		(2, N'7d19a33f-d4a9-4498-8beb-07a5ce75d638',  N'software-engineering'),
 		(3, N'8317013c-7eb8-4ca9-83c5-0342895e4061',  N'visual-programming'),
-		(4, N'11d42b97-a343-499e-b3c6-13fbfd3785f4',  N'internet-programming'),
-		(5, N'b2e4f54d-664e-4301-9642-9a6e9ef8df84',  N'object-oriented-programming'),
-		(6, N'77146a56-48b3-4e29-910a-54b7449f8c2b',  N'calculus'),
-		(7, N'c1a7bc19-34b5-4434-ad6b-f6e0fa90c946',  N'discrete-mathematics'),
-		(8, N'9f324879-0e63-4d3d-a945-e88d290a23f1',  N'advanced-programming'),
-		(9, N'6dd8f274-32ba-4b4b-8270-fea799e9b2e2',  N'web-programming'),
-		(10, N'a4493d42-e01f-4092-a700-47a0847c8c4e',  N'operating-systems')
+		(4, N'a4493d42-e01f-4092-a700-47a0847c8c4e',  N'operating-systems')
 		)
 		AS temp ([ID], [Uid], [Name])
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Question.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Question.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Question.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -0,0 +1,25 @@
+﻿CREATE TABLE [dbo].[Question] (
+    [Id]           BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]          UNIQUEIDENTIFIER NOT NULL,
+    [Title]        NVARCHAR (500)   NOT NULL,
+    [Text]         NVARCHAR (MAX)   NULL,
+    [StudentFk]    BIGINT           NOT NULL,
+    [CreatedOn]    SMALLDATETIME    NOT NULL,
+    [TeamFk]       BIGINT           NULL,
+    [Views]        BIGINT           DEFAULT (CONVERT([bigint],(0))) NOT NULL,
+    [LastActiveOn] SMALLDATETIME    NOT NULL,
+    CONSTRAINT [PK_Question] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Question_Student_StudentFk] FOREIGN KEY ([StudentFk]) REFERENCES [dbo].[Student] ([Id]),
+    CONSTRAINT [FK_Question_Team_TeamFk] FOREIGN KEY ([TeamFk]) REFERENCES [dbo].[Team] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Question_StudentFk]
+    ON [dbo].[Question]([StudentFk] ASC);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Question_TeamFk]
+    ON [dbo].[Question]([TeamFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/QuestionCategory.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/QuestionCategory.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/QuestionCategory.sql	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -0,0 +1,15 @@
+﻿CREATE TABLE [dbo].[QuestionCategory] (
+    [Id]         BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]        UNIQUEIDENTIFIER NOT NULL,
+    [QuestionFk] BIGINT           NOT NULL,
+    [CategoryFk] BIGINT           NOT NULL,
+    CONSTRAINT [PK_QuestionCategory] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_QuestionCategory_Category_QuestionFk] FOREIGN KEY ([QuestionFk]) REFERENCES [dbo].[Category] ([Id]),
+    CONSTRAINT [FK_QuestionCategory_Question_QuestionFk] FOREIGN KEY ([QuestionFk]) REFERENCES [dbo].[Question] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_QuestionCategory_QuestionFk]
+    ON [dbo].[QuestionCategory]([QuestionFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj
===================================================================
--- src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
   <PropertyGroup>
@@ -55,6 +55,6 @@
     <VisualStudioVersion Condition="'$(SSDTExists)' == ''">11.0</VisualStudioVersion>
   </PropertyGroup>
-  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
-  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
   <ItemGroup>
     <Folder Include="Properties" />
@@ -80,10 +80,3 @@
     <None Include="FinkiChattery.HangfireDatabase.publish.xml" />
   </ItemGroup>
-  <Import Condition="'$(NetCoreBuild)' == 'true'" Project="$(NETCoreTargetsPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
-  <ItemGroup>
-    <PackageReference Condition="'$(NetCoreBuild)' == 'true'" Include="Microsoft.NETFramework.ReferenceAssemblies" Version="1.0.0" PrivateAssets="All" />
-  </ItemGroup>
-  <Target Name="BeforeBuild">
-    <Delete Files="$(BaseIntermediateOutputPath)\project.assets.json" />
-  </Target>
 </Project>
Index: src/FinkiChattery/FinkiChattery.Identity/FinkiChattery.Identity.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Identity/FinkiChattery.Identity.csproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Identity/FinkiChattery.Identity.csproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -3,5 +3,4 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
Index: src/FinkiChattery/FinkiChattery.Identity/Startup.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Identity/Startup.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Identity/Startup.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -28,11 +28,6 @@
             services.AddControllersWithViews();
 
-            string connectionString = "DefaultConnection";
-#if DEBUG_DOCKER
-            connectionString = "DefaultConnectionDocker";
-#endif
-
             services.AddDbContextPool<ApplicationDbContext<ApplicationUser>>(options =>
-                options.UseSqlServer(Configuration.GetConnectionString(connectionString)));
+                options.UseSqlServer(Configuration.GetConnectionString("DefaultConnection")));
 
             services.AddIdentityServerAndIdentityProvider(AppSettings);
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerConfig.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerConfig.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -22,5 +22,4 @@
             builder.Property(x => x.CorrectAnswer).HasColumnName(@"CorrectAnswer").HasColumnType("bit").IsRequired();
             builder.Property(x => x.CreatedOn).HasColumnName(@"CreatedOn").HasColumnType("smalldatetime").IsRequired();
-            builder.Property(x => x.UpvotesCount).HasColumnName(@"UpvotesCount").HasColumnType("bigint").IsRequired().HasDefaultValue(0);
 
             builder.HasOne(x => x.Question).WithMany(x => x.Answers).HasForeignKey(x => x.QuestionFk).OnDelete(DeleteBehavior.Restrict);
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerResponseConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerResponseConfig.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Configurations/AnswerResponseConfig.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -28,5 +28,5 @@
 
             builder.HasOne(x => x.Answer).WithMany(x => x.AnswerResponses).HasForeignKey(x => x.AnswerFk).OnDelete(DeleteBehavior.Restrict);
-            builder.HasOne(x => x.Student).WithMany().HasForeignKey(x => x.StudentFk).OnDelete(DeleteBehavior.Restrict);
+            builder.HasOne(x => x.Student).WithMany().HasForeignKey(x => x.AnswerFk).OnDelete(DeleteBehavior.Restrict);
         }
     }
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionCategoryConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionCategoryConfig.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionCategoryConfig.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -26,5 +26,5 @@
 
             builder.HasOne(x => x.Question).WithMany(x => x.QuestionCategories).HasForeignKey(x => x.QuestionFk).OnDelete(DeleteBehavior.Restrict);
-            builder.HasOne(x => x.Category).WithMany().HasForeignKey(x => x.CategoryFk).OnDelete(DeleteBehavior.Restrict);
+            builder.HasOne(x => x.Category).WithMany().HasForeignKey(x => x.QuestionFk).OnDelete(DeleteBehavior.Restrict);
         }
     }
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionConfig.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionConfig.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -24,6 +24,4 @@
             builder.Property(x => x.Views).HasColumnName(@"Views").HasColumnType("bigint").IsRequired().HasDefaultValue(0);
             builder.Property(x => x.LastActiveOn).HasColumnName(@"LastActiveOn").HasColumnType("smalldatetime").IsRequired();
-            builder.Property(x => x.Search).HasColumnType(@"Search").HasColumnType("nvarchar").HasMaxLength(4000).IsRequired();
-            builder.Property(x => x.AnswersCount).HasColumnType(@"AnswersCount").HasColumnType("bigint").IsRequired().HasDefaultValue(0);
 
             builder.HasOne(x => x.Student).WithMany(x => x.Questions).HasForeignKey(x => x.StudentFk).OnDelete(DeleteBehavior.NoAction);
Index: src/FinkiChattery/FinkiChattery.Persistence/FinkiChattery.Persistence.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/FinkiChattery.Persistence.csproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/FinkiChattery.Persistence.csproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -3,5 +3,4 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Answer.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -20,6 +20,4 @@
         public DateTime CreatedOn { get; set; }
 
-        public long UpvotesCount { get; set; }
-
         public virtual ICollection<Upvote> Upvotes { get; set; }
 
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -32,11 +32,9 @@
         public DateTime LastActiveOn { get; set; }
 
-        public string Search { get; set; }
-
-        public long AnswersCount { get; set; }
-
         public virtual ICollection<Answer> Answers { get; set; }
 
         public virtual ICollection<QuestionCategory> QuestionCategories { get; set; }
+
+        // TODO: Pole po koe ke pravime queries
     }
 }
Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Base/Repository.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Base/Repository.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Base/Repository.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -8,5 +8,5 @@
 namespace FinkiChattery.Persistence.Repositories
 {
-    public abstract class Repository<T> : IRepository<T> where T : BaseEntity
+    public abstract class Repository<T> where T : BaseEntity
     {
         public Repository(ApplicationDbContext dbContext)
Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/ICategoriesRepo.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/ICategoriesRepo.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/ICategoriesRepo.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -8,5 +8,5 @@
 namespace FinkiChattery.Persistence.Repositories
 {
-    public interface ICategoriesRepo : IRepository<Category>
+    public interface ICategoriesRepo
     {
         public Task<bool> CategoriesExist(IEnumerable<Guid> categoriesUids);
